Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_open_orders \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1953,
  "method": "private/get_open_orders",
  "params": {}
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_open_orders"

payload = {
    "jsonrpc": "2.0",
    "id": 1953,
    "method": "private/get_open_orders",
    "params": {}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({jsonrpc: '2.0', id: 1953, method: 'private/get_open_orders', params: {}})
};

fetch('https://test.deribit.com/api/v2/private/get_open_orders', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1953,
  "result": [
    {
      "time_in_force": "good_til_cancelled",
      "reduce_only": false,
      "price": 0.0028,
      "post_only": false,
      "order_type": "limit",
      "order_state": "open",
      "order_id": "146062",
      "max_show": 10,
      "last_update_timestamp": 1550050597036,
      "label": "fooBar",
      "is_rebalance": false,
      "is_liquidation": false,
      "instrument_name": "BTC-15FEB19-3250-P",
      "filled_amount": 0,
      "direction": "buy",
      "creation_timestamp": 1550050597036,
      "average_price": 0,
      "api": true,
      "amount": 10
    }
  ]
}

Query Parameters

kind
enum<string>

Instrument kind, if not provided instruments of all kinds are considered Instrument kind: "future", "option", "spot", "future_combo", "option_combo"

Available options:
future,
option,
spot,
future_combo,
option_combo
type
enum<string>

Order type, default - all Order type: "all", "limit", "trigger_all", "stop_all", "stop_limit", "stop_market", "take_all", "take_limit", "take_market", "trailing_all", "trailing_stop"

Available options:
all,
limit,
trigger_all,
stop_all,
stop_limit,
stop_market,
take_all,
take_limit,
take_market,
trailing_all,
trailing_stop

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request